Summary: Ocean 2.0 Interfaith Reader Immersive Library
Name: ocean
Version:  2.0
Release: %mkrel 1
License: Proprietary
Group: Education
URL: https://ocean-download.dev2.us
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
Ocean is a custom ebook reader designed for exploration and
study of the sacred literature of the world’s religious traditions.
It provides a simple cross-platform reading experience with an
immersive audio-integrated reading experience and usful study and research tools. 


%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

#export DONT_STRIP=1

%define deb_package linux_setup.deb
#download source
cd $RPM_SOURCE_DIR
wget -nc "https://ocean-download.dev2.us/%{deb_package}" 
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot


#fix for desktop file
mkdir -p %buildroot/usr/bin
ln -fs /opt/Ocean/oceanreader %buildroot/usr/bin/oceanreader


%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
/opt/Ocean
%{_bindir}/oceanreader
%{_datadir}/applications
%{_datadir}/doc/oceanreader/changelog.gz
%{_datadir}/icons/hicolor/1024x1024/apps/oceanreader.png
%{_datadir}/icons/hicolor/128x128/apps/oceanreader.png
%{_datadir}/icons/hicolor/16x16/apps/oceanreader.png
%{_datadir}/icons/hicolor/24x24/apps/oceanreader.png
%{_datadir}/icons/hicolor/256x256/apps/oceanreader.png
%{_datadir}/icons/hicolor/32x32/apps/oceanreader.png
%{_datadir}/icons/hicolor/48x48/apps/oceanreader.png
%{_datadir}/icons/hicolor/512x512/apps/oceanreader.png
%{_datadir}/icons/hicolor/64x64/apps/oceanreader.png
%{_datadir}/icons/hicolor/96x96/apps/oceanreader.png
   
%changelog
*Thu Mar 28 2019 tex 2.0-1pclos2019
- new
